CachedSAMClass (Groovy 2.4.14)
Date: 2018-02-24

org.codehaus.groovy.reflection.stdclasses

## Class CachedSAMClass

- java.lang.Object
- - org.codehaus.groovy.reflection.CachedClass
  - - org.codehaus.groovy.reflection.stdclasses.CachedSAMClass

-     public class CachedSAMClass
      extends CachedClass

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

      `CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

      `classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedSAMClass(java.lang.Class klazz, ClassInfo classInfo)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `coerceArgument(java.lang.Object argument)`
    `static java.lang.Object` | `coerceToSAM(Closure argument, java.lang.reflect.Method method, java.lang.Class clazz, boolean isInterface)`
    `static java.lang.reflect.Method` | `getSAMMethod(java.lang.Class<?> c)` returns the abstract method from a SAM type, if it is a SAM type.
    `boolean` | `isAssignableFrom(java.lang.Class argument)`

    - ### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

      `addNewMopMethods, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedSAMClass

          public CachedSAMClass(java.lang.Class klazz,
                                ClassInfo classInfo)

  - ### Method Detail

    - #### isAssignableFrom

          public boolean isAssignableFrom(java.lang.Class argument)

      Overrides:
        `isAssignableFrom` in class `CachedClass`

    - #### coerceToSAM

          public static java.lang.Object coerceToSAM(Closure argument,
                                                     java.lang.reflect.Method method,
                                                     java.lang.Class clazz,
                                                     boolean isInterface)

    - #### coerceArgument

          public java.lang.Object coerceArgument(java.lang.Object argument)

      Overrides:
        `coerceArgument` in class `CachedClass`

    - #### getSAMMethod

          public static java.lang.reflect.Method getSAMMethod(java.lang.Class<?> c)

      returns the abstract method from a SAM type, if it is a SAM type.
      Parameters:
        `c` - the SAM class
      Returns:
        null if nothing was found, the method otherwise